summaryrefslogtreecommitdiffstats
path: root/network/baikal/baikal.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/baikal/baikal.SlackBuild')
-rw-r--r--network/baikal/baikal.SlackBuild109
1 files changed, 109 insertions, 0 deletions
diff --git a/network/baikal/baikal.SlackBuild b/network/baikal/baikal.SlackBuild
new file mode 100644
index 0000000000..5b5c24d910
--- /dev/null
+++ b/network/baikal/baikal.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/bash
+
+# Slackware build script for baikal
+
+# Copyright 2022 Johannes Schoepfer, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=baikal
+VERSION=${VERSION:-0.9.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+unzip $CWD/$PRGNAM-$VERSION.zip
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/{usr/share/$PRGNAM,etc/httpd/extra}
+chown -R apache $PKG/usr/share/$PRGNAM
+cp -R Core config html Specific vendor $PKG/usr/share/$PRGNAM
+chown -R apache $PKG/usr/share/$PRGNAM/{config,Specific}
+# Remove cruft
+find $PKG -type f -name '.empty' -delete
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.md LICENSE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+# apache example config
+cat << EOF > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM-apache.conf
+# Example(adjusted) vhost taken https://sabre.io/baikal/install/
+#Alias /baikal /usr/share/baikal/html
+
+#<VirtualHost *:443>
+<VirtualHost *:80>
+
+ DocumentRoot /usr/share/baikal/html/
+ ServerName dav.example.org
+
+ RewriteEngine on
+ # Generally already set by global Apache configuration
+ # RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization}]
+ RewriteRule /.well-known/carddav /dav.php [R=308,L]
+ RewriteRule /.well-known/caldav /dav.php [R=308,L]
+
+ <Directory /usr/share/baikal/html/>
+ Options None
+ AllowOverride None
+ Require all granted
+ </Directory>
+
+ <IfModule mod_expires.c>
+ ExpiresActive Off
+ </IfModule>
+
+# SSLEngine on
+# SSLCertificateFile /etc/letsencrypt/live/dav.example.org/fullchain.pem
+# SSLCertificateKeyFile /etc/letsencrypt/live/dav.example.org/privkey.pem
+
+</VirtualHost>
+EOF
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE